From f4a58ba3b574a478fd5954ba2c5b29e8b809ff9b Mon Sep 17 00:00:00 2001
From: Kylie McClain <somasis@exherbo.org>
Date: Tue, 29 Dec 2015 15:11:52 -0500
Subject: [PATCH] ssl: Make RAND_egd optional

Fixes compilation with LibreSSL.
---
 src/network/ssl/ssl.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git src/network/ssl/ssl.c src/network/ssl/ssl.c
index 693ac37..5ed5754 100644
--- src/network/ssl/ssl.c
+++ src/network/ssl/ssl.c
@@ -84,11 +84,16 @@ init_openssl(struct module *module)
 	 * cannot initialize the PRNG and so every attempt to use SSL fails.
 	 * It's actually an OpenSSL FAQ, and according to them, it's up to the
 	 * application coders to seed the RNG. -- William Yodlowsky */
-	if (RAND_egd(RAND_file_name(f_randfile, sizeof(f_randfile))) < 0) {
+	RAND_file_name(f_randfile, sizeof(f_randfile));
+#ifdef HAVE_RAND_EGD
+	if (RAND_egd(f_randfile) < 0) {
 		/* Not an EGD, so read and write to it */
+#endif
 		if (RAND_load_file(f_randfile, -1))
 			RAND_write_file(f_randfile);
+#ifdef HAVE_RAND_EGD
 	}
+#endif
 
 	SSLeay_add_ssl_algorithms();
 	context = SSL_CTX_new(SSLv23_client_method());
-- 
2.10.5.GIT

